Package ru.bitel.bgbilling.plugins.edo.common.service

# Interface EDOService

public interface EDOService
Действия над эдо, НЕ связанные с модулем bill, общие, взаимодействия с системами эдо итд.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContragentSearchInfo`
  `fillContragentSearchInfo(int contractId)`
  Предзаполнение формы поиска контрагента по ид договора, берёт из нужных мест параметры контрагента по которым потом можно поискать контрагента/его_идентификаторы.
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `formatsList()`
  Список настроенных форматов для выгрузки эдо.
  `String`
  `getContractEdoConfig(int contractId)`
  Получение edo-конфига для договора
  `void`
  `saveContractEdoConfig(int contractId, String config)`
  Сохранение edo-конфига для договора
  `SearchResult<String>`
  `sbisChangeList(int contractId, Page page)`
  `ContragentInfos`
  `sbisSearchContragent(ContragentSearchInfo searchInfo)`

- ## Method Details

  - ### formatsList

    List<ru.bitel.bgbilling.common.model.KeyValue> formatsList() throws Exception
    Список настроенных форматов для выгрузки эдо. По пустоте списка можно определить что ничего не настраивалось.
    Throws:
      `Exception`

  - ### sbisChangeList

    SearchResult<String> sbisChangeList(int contractId, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### sbisSearchContragent

    ContragentInfos sbisSearchContragent(ContragentSearchInfo searchInfo) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### fillContragentSearchInfo

    ContragentSearchInfo fillContragentSearchInfo(int contractId) throws ru.bitel.bgbilling.common.BGException
    Предзаполнение формы поиска контрагента по ид договора, берёт из нужных мест параметры контрагента по которым потом можно поискать контрагента/его_идентификаторы.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getContractEdoConfig

    String getContractEdoConfig(int contractId) throws Exception
    Получение edo-конфига для договора
    Throws:
      `Exception`

  - ### saveContractEdoConfig

    void saveContractEdoConfig(int contractId, String config) throws Exception
    Сохранение edo-конфига для договора
    Throws:
      `Exception`